<?php
// correction pour EPI
mysqli_query($bdd,"UPDATE ".$prefix."_edtcode SET nom = 'Enseignement pratique interdisciplinaire' WHERE code = 'EPI'");
 
// suppression des jquery devenus inutiles
$ouverture = opendir("../js/");
$lecture = readdir($ouverture);
$filename = '../js/jquery-1.1.3.1.pack.js';
if (file_exists($filename)) {
	unlink ("../js/jquery-1.1.3.1.pack.js");
}
$filename = '../js/jquery-1.2.1.pack.js';
if (file_exists($filename)) {
	unlink ("../js/jquery-1.2.1.pack.js");
}
$filename = '../js/jquery-latest.js';
if (file_exists($filename)) {
	unlink ("js/jquery-latest.js");
}
$filename = '../js/jquery-1.12.4.js';
if (file_exists($filename)) {
	unlink ("../js/jquery-1.12.4.js");
}
closedir($ouverture);

// création des options pour les images EDT
$verif_nb = mysqli_num_rows(mysqli_query($bdd,"SELECT * FROM ".$prefix."_parametres WHERE param_nom = 'edt_imgmode'"));
if($verif_nb==0) {
	mysqli_query($bdd,"INSERT INTO ".$prefix."_parametres (param_nom, valeur, comments) VALUES ('edt_imgmode', 'spe', 'Option d''image générique ou d''images spécifiques.')");
}
$verif_nb = mysqli_num_rows(mysqli_query($bdd,"SELECT * FROM ".$prefix."_parametres WHERE param_nom = 'edt_imgnb'"));
if($verif_nb==0) {
	mysqli_query($bdd,"INSERT INTO ".$prefix."_parametres (param_nom, valeur, comments) VALUES ('edt_imgnb', '20', 'Nombre maximal d''images spécifiques stockées.')");
}

// altération des char dans _etab
mysqli_query($bdd,"ALTER TABLE ".$prefix."_etab MODIFY nom VARCHAR(100)");
mysqli_query($bdd,"ALTER TABLE ".$prefix."_etab MODIFY adresse VARCHAR(200)");
mysqli_query($bdd,"ALTER TABLE ".$prefix."_etab MODIFY ville VARCHAR(100)");
mysqli_query($bdd,"ALTER TABLE ".$prefix."_etab MODIFY mail VARCHAR(200)");

// version bdd :
mysqli_query($bdd,"UPDATE ".$prefix."_parametres SET valeur = '0.20' WHERE param_nom = 'version_bdd'");

?>